﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamMonthCalendarTooltip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public List<Holidays> USDates { get; set; }
        public List<Holidays> UKDates { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            USDates = new List<Holidays>();
            USDates.Add(new Holidays() { Holiday = new DateTime(2014, 03, 7), HolidayDescription = "7th" });
            USDates.Add(new Holidays() { Holiday = new DateTime(2014, 03, 10), HolidayDescription = "10th" });
            USDates.Add(new Holidays() { Holiday = new DateTime(2014, 03, 13), HolidayDescription = "13th" });

            UKDates = new List<Holidays>();
            UKDates.Add(new Holidays() { Holiday = new DateTime(2014, 03, 17), HolidayDescription = "17th" });
            UKDates.Add(new Holidays() { Holiday = new DateTime(2014, 03, 18), HolidayDescription = "18th" });
            UKDates.Add(new Holidays() { Holiday = new DateTime(2014, 03, 19), HolidayDescription = "19th" });
        }

        private void holidayChooser_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if ((holidayChooser.SelectedItem as ListBoxItem).Content.ToString() == "US")
            {
                calendar1.DataContext = USDates;
                //calendar1.CalendarDayStyle = this.FindResource("calDay") as Style;
            }
            else if ((holidayChooser.SelectedItem as ListBoxItem).Content.ToString() == "UK")
            {
                calendar1.DataContext = UKDates;
                //calendar1.CalendarDayStyle = this.FindResource("calDay") as Style;
            }
        }
    }

    public class TooltipConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((List<Holidays>)values[1] != null && (DateTime)values[0] != null)
            {
                foreach (var item in (List<Holidays>)values[1])
                {
                    if (item.Holiday == (DateTime)values[0])
                        return item.HolidayDescription;
                }                
            }               
            return Binding.DoNothing;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public class Holidays
    {
        public DateTime Holiday { get; set; }
        public string HolidayDescription { get; set; }
    }
}
